%define anolis_release 1
Summary: A front end for testing other programs
Name: dejagnu
Version: 1.6.1
Release: %{anolis_release}%{?dist}
Epoch: 1
License: GPLv3+
Source: ftp://ftp.gnu.org/gnu/dejagnu/dejagnu-%{version}.tar.gz
Group: Development/Tools
URL: http://www.gnu.org/software/dejagnu/
Requires: expect
BuildArch: noarch
BuildRequires: expect texinfo

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%package doc
Summary: Documentation for DejaGnu
Group: Documentation
Requires: dejagnu = %{epoch}:%{version}-%{release}

%description doc
This package contains documentation for DejaGnu.

%prep
%autosetup

%build
%configure -v

%check
echo ============TESTING===============
# Dejagnu test suite also has to test reporting to user.  It needs a
# terminal for that.  That doesn't compute in mock.  Work around it by
# running the test under screen and communicating back to test runner
# via temporary file.  If you have better idea, we accept patches.
TMP=`mktemp`
(make check RUNTESTFLAGS="RUNTEST=`pwd`/runtest"; echo $?) >> $TMP
RESULT=`tail -n 1 $TMP`
cat $TMP
rm -f $TMP
echo ============END TESTING===========
exit $RESULT

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
chmod a-x $RPM_BUILD_ROOT/%{_datadir}/dejagnu/runtest.exp
make DESTDIR=$RPM_BUILD_ROOT install-man
install -D -m 644 doc/dejagnu.info $RPM_BUILD_ROOT/%{_infodir}/%{name}.info

%post
/sbin/install-info %{_infodir}/%{name}.info.gz --dir-file=%{_infodir}/dir &> /dev/null
:

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir &> /dev/null
fi
:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%license COPYING
%{_bindir}/runtest
%{_datadir}/dejagnu
%{_includedir}/dejagnu.h
%{_mandir}/*/*
%{_infodir}/dejagnu*

%files doc
%doc INSTALL NEWS README AUTHORS ChangeLog
%doc doc/dejagnu.texi

%changelog
* Sat Mar 25 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1:1.6.1-1
- Init package from upstream